futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.AD.Rev.Map

Description

VJP transformation for Map SOACs. This is a pretty complicated case due to the possibility of free variables.

Synopsis

- vjpMap :: VjpOps -> [Adj] -> StmAux () -> SubExp -> Lambda SOACS -> [VName] -> ADM ()

# Documentation

vjpMap :: VjpOps -> [Adj] -> StmAux () -> SubExp -> Lambda SOACS -> [VName] -> ADM () Source #

Perform VJP on a Map. The `Adj` list is the adjoints of the result of the map.